#!/usr/bin/perl -w
# 2001/11/27 - I. Dutour

# permet de saisir une phrase au clavier
# et tester la presence ou non dans cette phrase
# d'un motif reconnu par une expression reguliere
# => affichage du motif detecte, et de ce qu'il y a avant et apres

my $phrase;

# saisie au clavier
$phrase = <STDIN>;
# supprime le retour a la ligne a la fin de $phrase
chomp($phrase);

# test expression reguliere
if ($phrase =~ /a+b*/) {
    print "Expr presente\n";
    print "Avant expr : \"", $` , "\"\n";
    print "Expr       : \"", $& , "\"\n";
    print "Apres expr : \"", $' , "\"\n";
} else {
    print "Expr non presente\n";
}


